com.brightcove.player.network

## Class HttpRequestConfig

- java.lang.Object
- - com.brightcove.player.network.HttpRequestConfig

-     public class HttpRequestConfig
      extends java.lang.Object

  An immutable configuration class whose values are used as part of an HTTP request, either as query parameters or as headers.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HttpRequestConfig.Builder` The HttpRequestConfig Builder.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `KEY_AD_CONFIG_ID` Defines the expected key for an adConfig as a query parameter in a catalog request.
    `static java.lang.String` | `KEY_DELIVERY_RULE_CONFIG_ID` Defines the expected key for a delivery rule as a query parameter in a catalog request.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpRequestConfig.Builder` | `buildUpon()` Creates a new `HttpRequestConfig.Builder` using the current `HttpRequestConfig` instance.
    `static HttpRequestConfig` | `empty()`
    `java.lang.String` | `getBrightcoveAuthorizationToken()` Gets the Brightcove authorization token.
    `CustomerRightsTokenConfig` | `getCustomerRightsTokenConfig()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getQueryParameters()` Gets the HTTP request query parameters as a map of key-value pairs.
    `java.util.Map<java.lang.String,java.lang.String>` | `getRequestHeaders()` Gets the HTTP request headers as a map of key-value pairs.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### KEY_DELIVERY_RULE_CONFIG_ID

          public static final java.lang.String KEY_DELIVERY_RULE_CONFIG_ID

      Defines the expected key for a delivery rule as a query parameter in a catalog request.
      See Also:
        Constant Field Values

    - #### KEY_AD_CONFIG_ID

          public static final java.lang.String KEY_AD_CONFIG_ID

      Defines the expected key for an adConfig as a query parameter in a catalog request.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### empty

          public static HttpRequestConfig empty()

    - #### buildUpon

          public HttpRequestConfig.Builder buildUpon()

      Creates a new `HttpRequestConfig.Builder` using the current `HttpRequestConfig` instance.
      Returns:
        An `HttpRequestConfig.Builder` initialized with the parameters of this instance.

    - #### getBrightcoveAuthorizationToken

          @NonNull
          public java.lang.String getBrightcoveAuthorizationToken()

      Gets the Brightcove authorization token. Depending on your VideoCloud account configuration, this token might be required in order to successfully make certain requests.
      Returns:
        the brightcove auth token

    - #### getCustomerRightsTokenConfig

          @NonNull
          public CustomerRightsTokenConfig getCustomerRightsTokenConfig()

    - #### getRequestHeaders

          @NonNull
          public java.util.Map<java.lang.String,java.lang.String> getRequestHeaders()

      Gets the HTTP request headers as a map of key-value pairs.
      Returns:
        the request headers

    - #### getQueryParameters

          @NonNull
          public java.util.Map<java.lang.String,java.lang.String> getQueryParameters()

      Gets the HTTP request query parameters as a map of key-value pairs.
      Returns:
        the query parameters